Page MenuHomePhabricator

Herald rule for adding Upstream when a task is moved to "Upstream issues" column of pywikibot-core workboard
Open, Stalled, LowestPublic

Description

Create a Heral rule to add the Upstream project to tasks which are moved to "Upstream issues" on Pywikibot workboard, or "Upstream" on Pywikibot-tests, or "Upstream" on Pywikibot-Wikidata.
It will help contributors in following the upstream state of the task.

Event Timeline

Dalba created this task.May 7 2018, 8:01 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 7 2018, 8:01 AM
Aklapper changed the task status from Open to Stalled.May 7 2018, 11:37 AM
Aklapper triaged this task as Lowest priority.

Technically not yet possible

Restricted Application added a subscriber: pywikibot-bugs-list. · View Herald TranscriptJun 19 2018, 8:40 AM
Aklapper closed this task as Invalid.Jun 19 2018, 8:46 AM
Aklapper moved this task from To Triage to Herald rules on the Phabricator board.

Not possible like that.
See https://secure.phabricator.com/T5474 for this very request.
See https://www.mediawiki.org/wiki/Phabricator/Help/Herald_Rules for what's possible in Herald.
See https://phabricator.wikimedia.org/T91716#2380691 for a potential related workaround.

Dvorapa reopened this task as Stalled.Jun 19 2018, 9:12 AM
Dvorapa added a subscriber: Dvorapa.

Yeah, that is why it was stalled before, waiting for an upstream task to be solved

Vvjjkkii renamed this task from Herald rule for adding Upstream when a task is moved to "Upstream issues" column of pywikibot-core workboard to 6hdaaaaaaa.Jul 1 2018, 1:11 AM
Vvjjkkii changed the task status from Stalled to Open.
Vvjjkkii raised the priority of this task from Lowest to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
Mpaa renamed this task from 6hdaaaaaaa to Herald rule for adding Upstream when a task is moved to "Upstream issues" column of pywikibot-core workboard.Jul 1 2018, 6:56 PM
Mpaa changed the task status from Open to Stalled.
Mpaa lowered the priority of this task from High to Lowest.
Mpaa updated the task description. (Show Details)
Mpaa added a subscriber: Aklapper.

FWIW, this can be worked around if the column is a Milestone, as Milestones are technically projects, and thus have tags that Herald can detect. The challenge is that this is using Milestones in a way they aren't really meant to be, so there are other restrictions that might become burdensome, such as the inability to move Milestone columns.

I don't like marking tasks as Upstream.

For example if the task is MediaWiki-API bug and is marked with MediaWiki-API and Pywikibot-tests (failing APi test).

The MediaWiki-API team can think - per Upstream tag - this is not their issue.

The Pywikibot team can think - per Upstream tag - this is not their issue either

But this is both issues as MediaWiki-API must fix the bug and then Pywikibot must adjust the tests to the fixed behavior

I don't like marking tasks as Upstream.
For example if the task is MediaWiki-API bug and is marked with MediaWiki-API and Pywikibot-tests (failing APi test).
The MediaWiki-API team can think - per Upstream tag - this is not their issue.
The Pywikibot team can think - per Upstream tag - this is not their issue either
But this is both issues as MediaWiki-API must fix the bug and then Pywikibot must adjust the tests to the fixed behavior

Well, I don't like sharing tasks with an independent projects in the first place. You may triage the Pywikibot-tests task as hight priority task, but the priority for the MediaWiki-API may be different.
Also it's usually better to have a more project-specific description for each project.
Therefore I think it's best to create separate tasks for each project and make one the parent of the other.
This will also reduce the notification noise for the developers of the other project as they won't see the updates of the other task (for example if Pywikibot-tests decides to skip some tests until the upstream task is resolved, there is usually no need for the subscribers of MediaWiki-API team to receive notifications about discussions and patches that lead to that).

Sure, that's why I was removing Upstream this from Pywikibot-MW API tasks if it was an API issue yesterday